Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/AdicionarCompromissoDataInicialFinalInvalidaTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/AdicionarCompromissoDataInicialFinalInvalidaTestCase.java	(revision 4868)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/AdicionarCompromissoDataInicialFinalInvalidaTestCase.java	(revision 4868)
@@ -0,0 +1,54 @@
+package org.expressolivre.cte.calendar;
+
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+
+import org.expressolivre.cte.common.BaseCalendarTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentPage;
+import org.testng.Assert;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * Suite:[FUN03.2] Adicionar Compromisso
+ * 
+ * Caso de Teste: EL-1053:Adicionar compromisso com data inicial/final invalida
+ * inicial
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-1053
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Jul 28, 2011 at 4:42:08 AM
+ * 
+ */
+public class AdicionarCompromissoDataInicialFinalInvalidaTestCase extends
+		BaseCalendarTestCase {
+
+	@Parameters({ "tipo", "titulo", "dataInicial", "horaInicial",
+			"minutoInicial", "dataFinal", "horaFinal", "minutoFinal",
+			"prioridade" })
+	@Test
+	public void adicionarCompromissoComDataInicialFinalInvalida(
+			@Optional("Normal") String tipo, String titulo, String dataInicial,
+			String horaInicial, String minutoInicial, String dataFinal,
+			String horaFinal, String minutoFinal,
+			@Optional("Normal") String prioridade) {
+
+		// Pega data corrente.
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
+
+		AppointmentPage ap = super.adicionarCompromisso(
+				sdf.format(cal.getTime()), tipo, titulo, dataInicial,
+				horaInicial, minutoInicial, dataFinal, horaFinal, minutoFinal,
+				prioridade);
+		ap.saveAppointment();
+
+		Assert.assertEquals("VocÃª informou uma data invÃ¡lida.",
+				ap.getFormStatus());
+
+	}
+}
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/AdicionarCompromissoHoraInicialFinalInvalidaTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/AdicionarCompromissoHoraInicialFinalInvalidaTestCase.java	(revision 4868)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/AdicionarCompromissoHoraInicialFinalInvalidaTestCase.java	(revision 4868)
@@ -0,0 +1,52 @@
+package org.expressolivre.cte.calendar;
+
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+
+import org.expressolivre.cte.common.BaseCalendarTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentPage;
+import org.testng.Assert;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * Suite:[FUN03.2] Adicionar Compromisso
+ * 
+ * Caso de Teste: EL-1054:Adicionar compromisso com hora inicial/final invalida.
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-1054
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Jul 26, 2011 at 10:34:08 AM
+ * 
+ */
+public class AdicionarCompromissoHoraInicialFinalInvalidaTestCase extends
+		BaseCalendarTestCase {
+
+	@Parameters({ "tipo", "titulo", "horaInicial", "minutoInicial",
+			"horaFinal", "minutoFinal", "prioridade" })
+	@Test
+	public void adicionarCompromissoHoraFinalMenorQueHoraInicial(
+			@Optional("Normal") String tipo, String titulo, String horaInicial,
+			String minutoInicial, String horaFinal, String minutoFinal,
+			@Optional("Normal") String prioridade) {
+
+		// Pega data corrente.
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
+		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");
+
+		AppointmentPage ap = super.adicionarCompromisso(
+				sdf.format(cal.getTime()), tipo, titulo,
+				sdf2.format(cal.getTime()), horaInicial, minutoInicial,
+				sdf2.format(cal.getTime()), horaFinal, minutoFinal, prioridade);
+		ap.saveAppointment();
+
+		Assert.assertEquals(ap.getFormStatus(),
+				"vocÃª informou uma hora do dia invÃ¡lida.");
+
+	}
+}
Index: /devel/testlink/automation2.0/[FUN03.2] - AdicionarCompromisso.xml
===================================================================
--- /devel/testlink/automation2.0/[FUN03.2] - AdicionarCompromisso.xml	(revision 4864)
+++ /devel/testlink/automation2.0/[FUN03.2] - AdicionarCompromisso.xml	(revision 4868)
@@ -2,5 +2,5 @@
   
 <suite name="[FUN03.2] Adicionar Compromisso" >
-
+<!-- 
   <test name="Adicionar compromisso normal data corrente">
 	  <parameter name="tipo"  value="Normal"/>
@@ -70,5 +70,5 @@
 	  </classes>
   </test>
-
+-->
   <test name="Adicionar compromisso com hora final menor que inicial">
 	  <parameter name="tipo"  value="Normal"/>
@@ -97,4 +97,57 @@
   </test>
  
+   <test name="Adicionar compromisso data inicial invalida">
+	  <parameter name="tipo"  value="Normal"/>
+	  <parameter name="titulo"  value="[Selenium] Compromisso data inicial invalida"/>
+	  <parameter name="dataInicial"  value="22/22/2011"/>
+	  <parameter name="horaInicial"  value="9"/>
+	  <parameter name="minutoInicial"  value="00"/>
+	  <parameter name="dataFinal"  value="10/10/2011"/>
+	  <parameter name="horaFinal"  value="9"/>
+	  <parameter name="minutoFinal"  value="30"/>
+	  <classes>
+	     <class name="org.expressolivre.cte.calendar.AdicionarCompromissoDataInicialFinalInvalidaTestCase" />
+	  </classes>
+  </test>
+ 
+   <test name="Adicionar compromisso data final invalida">
+	  <parameter name="tipo"  value="Normal"/>
+	  <parameter name="titulo"  value="[Selenium] Compromisso data final invalida"/>
+	  <parameter name="dataInicial"  value="01/01/2011"/>
+	  <parameter name="horaInicial"  value="9"/>
+	  <parameter name="minutoInicial"  value="00"/>
+	  <parameter name="dataFinal"  value="33/01/2011"/>
+	  <parameter name="horaFinal"  value="9"/>
+	  <parameter name="minutoFinal"  value="30"/>
+	  <classes>
+	     <class name="org.expressolivre.cte.calendar.AdicionarCompromissoDataInicialFinalInvalidaTestCase" />
+	  </classes>
+  </test>
+ 
+
+   <test name="Adicionar compromisso hora final invalida">
+	  <parameter name="tipo"  value="Normal"/>
+	  <parameter name="titulo"  value="[Selenium] Compromisso hora final invalida"/>
+	  <parameter name="horaInicial"  value="9"/>
+	  <parameter name="minutoInicial"  value="00"/>
+	  <parameter name="horaFinal"  value="33"/>
+	  <parameter name="minutoFinal"  value="30"/>
+	  <classes>
+	     <class name="org.expressolivre.cte.calendar.AdicionarCompromissoHoraInicialFinalInvalidaTestCase" />
+	  </classes>
+  </test>
+
+   <test name="Adicionar compromisso hora inicial invalida">
+	  <parameter name="tipo"  value="Normal"/>
+	  <parameter name="titulo"  value="[Selenium] Compromisso hora inicial invalida"/>
+	  <parameter name="horaInicial"  value="33"/>
+	  <parameter name="minutoInicial"  value="00"/>
+	  <parameter name="horaFinal"  value="10"/>
+	  <parameter name="minutoFinal"  value="30"/>
+	  <classes>
+	     <class name="org.expressolivre.cte.calendar.AdicionarCompromissoHoraInicialFinalInvalidaTestCase" />
+	  </classes>
+  </test>
+ 
  
   