Index: /contrib/z-push/include/dbconnect.php.template
===================================================================
--- /contrib/z-push/include/dbconnect.php.template	(revision 4897)
+++ /contrib/z-push/include/dbconnect.php.template	(revision 4897)
@@ -0,0 +1,15 @@
+<?php
+    //global $db; // global variable that can be used with any script
+    function dbconnect()
+    {
+        // set up database connection details
+        $dbhost = "10.200.112.132"; // replace with your database hostname or ip
+        $dbuser = "zpush"; // replace with your database username
+        $dbpass = "zpush"; // replace with your database password
+        $dbname = "expresso"; // replace with your database name
+
+        // connect to database
+        $db = pg_pconnect("host=" . $dbhost . " port=5432 dbname=" . $dbname . " user=" . $dbuser . " password=" . $dbpass);
+        return $db;
+    }// end connect()
+?>
Index: ntrib/z-push/include/dbconnect.php
===================================================================
--- /contrib/z-push/include/dbconnect.php	(revision 3754)
+++ 	(revision )
@@ -1,15 +1,0 @@
-<?php
-    //global $db; // global variable that can be used with any script
-    function dbconnect()
-    {
-        // set up database connection details
-        $dbhost = "10.200.112.132"; // replace with your database hostname or ip
-        $dbuser = "zpush"; // replace with your database username
-        $dbpass = "zpush"; // replace with your database password
-        $dbname = "expresso"; // replace with your database name
-
-        // connect to database
-        $db = pg_pconnect("host=" . $dbhost . " port=5432 dbname=" . $dbname . " user=" . $dbuser . " password=" . $dbpass);
-        return $db;
-    }// end connect()
-?>
Index: /contrib/z-push/config.php.template
===================================================================
--- /contrib/z-push/config.php.template	(revision 4897)
+++ /contrib/z-push/config.php.template	(revision 4897)
@@ -0,0 +1,128 @@
+<?php
+/***********************************************
+* File      :   config.php
+* Project   :   Z-Push
+* Descr     :   Main configuration file
+*
+* Created   :   01.10.2007
+*
+* Zarafa Deutschland GmbH, www.zarafaserver.de
+* This file is distributed under GPL v2.
+* Consult LICENSE file for details
+************************************************/
+
+	// Defines the default time zone
+	if (function_exists("date_default_timezone_set")){
+		date_default_timezone_set("America/Sao_Paulo");
+	}
+
+	// Defines the base path on the server, terminated by a slash
+	define('BASE_PATH', dirname($_SERVER['SCRIPT_FILENAME']) . "/");
+
+	// Define the include paths
+	ini_set('include_path',
+		BASE_PATH. "include/" . PATH_SEPARATOR .
+		BASE_PATH. PATH_SEPARATOR .
+		ini_get('include_path') . PATH_SEPARATOR .
+		"/usr/share/php/" . PATH_SEPARATOR .
+		"/usr/share/php5/" . PATH_SEPARATOR .
+		"/usr/share/pear/");
+
+	define('STATE_DIR', 'state');
+
+	// Try to set unlimited timeout
+	define('SCRIPT_TIMEOUT', 0);
+
+	//Max size of attachments to display inline. Default is 1MB
+	define('MAX_EMBEDDED_SIZE', 1048576);
+
+	// Device Provisioning
+	define('PROVISIONING', true);
+
+	// This option allows the 'loose enforcement' of the provisioning policies for older 
+	// devices which don't support provisioning (like WM 5 and HTC Android Mail) - dw2412 contribution
+	// false (default) - Enforce provisioning for all devices
+	// true - allow older devices, but enforce policies on devices which support it  
+	define('LOOSE_PROVISIONING', true); 
+
+	// The data providers that we are using (see configuration below)
+	//$BACKEND_PROVIDER = "BackendIMAP";
+	//$BACKEND_PROVIDER = "BackendCalendarExpresso";
+	//$BACKEND_PROVIDER = "BackendContactsExpresso";
+	//$BACKEND_PROVIDER = "BackendVCDir";
+	//$BACKEND_PROVIDER = "BackendRSS";
+	$BACKEND_PROVIDER = "BackendProxy";
+	$BACKEND_EMAIL = "BackendIMAP";
+	$BACKEND_CONTACTS = "BackendContactsExpresso";
+	$BACKEND_CALENDAR = "BackendCalendarExpresso";
+
+	// ************************
+	//  BackendICS settings
+	// ************************
+
+	// Defines the server to which we want to connect
+	define('MAPI_SERVER', 'file:///var/run/zarafa');
+
+	// ************************
+	//  BackendIMAP settings
+	// ************************
+
+	// Defines the server to which we want to connect
+	// recommended to use local servers only
+	define('IMAP_SERVER', '10.200.112.132');
+	// connecting to default port (143)
+	define('IMAP_PORT', 143);
+	// best cross-platform compatibility (see http://php.net/imap_open for options)
+	define('IMAP_OPTIONS', '/notls/norsh');
+	// overwrite the "from" header if it isn't set when sending emails
+	// options: 'username'    - the username will be set (usefull if your login is equal to your emailaddress)
+	//        'domain'    - the value of the "domain" field is used
+	//        '@mydomain.com' - the username is used and the given string will be appended
+	define('IMAP_DEFAULTFROM', 'domain');
+	// copy outgoing mail to this folder. If not set z-push will try the default folders
+	define('IMAP_SENTFOLDER', 'INBOX/Sent');
+
+	// ************************
+	//  BackendMaildir settings
+	// ************************
+	define('MAILDIR_BASE', '/tmp');
+	define('MAILDIR_SUBDIR', 'Maildir');
+
+	// **********************
+	//  BackendVCDir settings
+	// **********************
+	define('VCARDDIR_DIR', '/var/www/vcf');
+
+	// **********************
+	//  TRACE settings
+	//  When enabled it creates a file named trace-<USER-ID>.txt during sincronization
+	// **********************
+	// A string with User_Login that you want to trace or a boolean FALSE if you don't want to trace.    
+	define('TRACE_UID', '86928023953');
+	// TRACE_TYPE can be 'ALL', 'IMAP', 'CALENDAR' or 'CONTACTS'
+	define('TRACE_TYPE', 'IMAP');
+
+	// ****************************************************
+	//	LDAP Authentication settings
+	// ****************************************************    
+	// Set USER and PASSWORD if you are not using anonymous bind
+	// Must have read access to DN, UID and UIDNUMBER of all users
+	define("ANONYMOUS_BIND", false);
+	define("LDAP_BIND_USER", "cn=admin,ou=expressolivre,ou=corp,dc=serpro,dc=gov,dc=br");
+	define("LDAP_BIND_PASSWORD", "correio");
+    
+	define("LDAP_HOST", "ldap://10.200.112.132/"); // Address of your LDAP server
+	define("LDAP_PORT", "389"); // Port of your LDAP server
+
+	// Search base & filter
+	define("LDAP_SEARCH_BASE", "dc=serpro,dc=gov,dc=br"); // Base path to search the filter. Example: dc=company,dc=com
+	define("LDAP_SEARCH_FILTER", "uid=SEARCHVALUE"); // The filter is the user login attribute. You can change only the "uid" by other attribute. The SEARCHVALUE string is replaced by the user login inside the backends.
+
+	// LDAP field mapping.
+	global $ldap_field_map;
+	$ldap_field_map = array(
+		DN				=> 'dn', // Change 'dn' only if you use other attribute name in your LDAP.
+		UID				=> 'uid', // Change 'uid' only if you use other attribute name in your LDAP.
+		UIDNUMBER	=> 'uidnumber', // Change 'uidnumber' only if you use other attribute name in your LDAP.
+	);
+?>
Index: ntrib/z-push/config.php
===================================================================
--- /contrib/z-push/config.php	(revision 4219)
+++ 	(revision )
@@ -1,130 +1,0 @@
-<?php
-/***********************************************
-* File      :   config.php
-* Project   :   Z-Push
-* Descr     :   Main configuration file
-*
-* Created   :   01.10.2007
-*
-* ï¿œ Zarafa Deutschland GmbH, www.zarafaserver.de
-* This file is distributed under GPL v2.
-* Consult LICENSE file for details
-************************************************/
-
-    // Defines the default time zone
-    if (function_exists("date_default_timezone_set")){
-        date_default_timezone_set("America/Sao_Paulo");
-    }
-
-    // Defines the base path on the server, terminated by a slash
-    define('BASE_PATH', dirname($_SERVER['SCRIPT_FILENAME']) . "/");
-
-    // Define the include paths
-    ini_set('include_path',
-                        BASE_PATH. "include/" . PATH_SEPARATOR .
-                        BASE_PATH. PATH_SEPARATOR .
-                        ini_get('include_path') . PATH_SEPARATOR .
-                        "/usr/share/php/" . PATH_SEPARATOR .
-                        "/usr/share/php5/" . PATH_SEPARATOR .
-                        "/usr/share/pear/");
-
-    define('STATE_DIR', 'state');
-
-    // Try to set unlimited timeout
-    define('SCRIPT_TIMEOUT', 0);
-
-    //Max size of attachments to display inline. Default is 1MB
-    define('MAX_EMBEDDED_SIZE', 1048576);
-
-    // Device Provisioning
-    define('PROVISIONING', true);
-    
-    // This option allows the 'loose enforcement' of the provisioning policies for older 
-    // devices which don't support provisioning (like WM 5 and HTC Android Mail) - dw2412 contribution
-    // false (default) - Enforce provisioning for all devices
-    // true - allow older devices, but enforce policies on devices which support it  
-    define('LOOSE_PROVISIONING', true); 
-    
-    // The data providers that we are using (see configuration below)
-	//$BACKEND_PROVIDER = "BackendIMAP";
-    //$BACKEND_PROVIDER = "BackendCalendarExpresso";
-    //$BACKEND_PROVIDER = "BackendContactsExpresso";
-    //$BACKEND_PROVIDER = "BackendVCDir";
-    //$BACKEND_PROVIDER = "BackendRSS";
-    $BACKEND_PROVIDER = "BackendProxy";
-    $BACKEND_EMAIL = "BackendIMAP";
-    $BACKEND_CONTACTS = "BackendContactsExpresso";
-    $BACKEND_CALENDAR = "BackendCalendarExpresso";
-
-    // ************************
-    //  BackendICS settings
-    // ************************
-
-    // Defines the server to which we want to connect
-    define('MAPI_SERVER', 'file:///var/run/zarafa');
-
-
-    // ************************
-    //  BackendIMAP settings
-    // ************************
-
-    // Defines the server to which we want to connect
-    // recommended to use local servers only
-    define('IMAP_SERVER', '10.200.112.132');
-    // connecting to default port (143)
-    define('IMAP_PORT', 143);
-    // best cross-platform compatibility (see http://php.net/imap_open for options)
-    define('IMAP_OPTIONS', '/notls/norsh');
-    // overwrite the "from" header if it isn't set when sending emails
-    // options: 'username'    - the username will be set (usefull if your login is equal to your emailaddress)
-    //        'domain'    - the value of the "domain" field is used
-    //        '@mydomain.com' - the username is used and the given string will be appended
-    define('IMAP_DEFAULTFROM', 'domain');
-    // copy outgoing mail to this folder. If not set z-push will try the default folders
-    define('IMAP_SENTFOLDER', 'INBOX/Sent');
-
-
-    // ************************
-    //  BackendMaildir settings
-    // ************************
-    define('MAILDIR_BASE', '/tmp');
-    define('MAILDIR_SUBDIR', 'Maildir');
-
-    // **********************
-    //  BackendVCDir settings
-    // **********************
-    define('VCARDDIR_DIR', '/var/www/vcf');
-
-    // **********************
-    //  TRACE settings
-    //  When enabled it creates a file named trace-<USER-ID>.txt during sincronization
-    // **********************
-    // A string with User_Login that you want to trace or a boolean FALSE if you don't want to trace.    
-    define('TRACE_UID', '86928023953');
-    // TRACE_TYPE can be 'ALL', 'IMAP', 'CALENDAR' or 'CONTACTS'
-    define('TRACE_TYPE', 'IMAP');
-    
-    // ****************************************************
-    //	LDAP Authentication settings
-    // ****************************************************    
-    // Set USER and PASSWORD if you are not using anonymous bind
-    // Must have read access to DN, UID and UIDNUMBER of all users
-	define("ANONYMOUS_BIND", false);
-	define("LDAP_BIND_USER", "cn=admin,ou=expressolivre,ou=corp,dc=serpro,dc=gov,dc=br");
-	define("LDAP_BIND_PASSWORD", "correio");
-    
-	define("LDAP_HOST", "ldap://10.200.112.132/"); // Address of your LDAP server
-	define("LDAP_PORT", "389"); // Port of your LDAP server
-
-	// Search base & filter
-	define("LDAP_SEARCH_BASE", "dc=serpro,dc=gov,dc=br"); // Base path to search the filter. Example: dc=company,dc=com
-	define("LDAP_SEARCH_FILTER", "uid=SEARCHVALUE"); // The filter is the user login attribute. You can change only the "uid" by other attribute. The SEARCHVALUE string is replaced by the user login inside the backends.
-
-	// LDAP field mapping.
-	global $ldap_field_map;
-	$ldap_field_map = array(
-						DN						=> 'dn', // Change 'dn' only if you use other attribute name in your LDAP.
-        	            UID						=> 'uid', // Change 'uid' only if you use other attribute name in your LDAP.
-    	                UIDNUMBER				=> 'uidnumber', // Change 'uidnumber' only if you use other attribute name in your LDAP.
-   	             );
-?>