Index: /sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/js/mail_archiver.js
===================================================================
--- /sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/js/mail_archiver.js	(revision 4899)
+++ /sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/js/mail_archiver.js	(revision 4909)
@@ -343,4 +343,13 @@
                 expresso_mail_archive.folder_destination = destination_folder;
             
+            var fcaption = expresso_mail_archive.folder_destination;
+    
+            for (var w=0; w < expresso_mail_archive.folders.length; w++){
+                if(expresso_mail_archive.folders[w]["id"] == expresso_mail_archive.folder_destination){
+                    fcaption = expresso_mail_archive.folders[w]["name"];
+                    break;
+                }
+            }
+            
             //window.alert('destination_folder = ' + expresso_mail_archive.folder_destination);
 
@@ -350,5 +359,5 @@
                 try{
                     //Archive services needs session id, message source and destination folder
-                    document.getElementById('main_title').innerHTML = get_lang("Archiving message on folder") + " " + expresso_mail_archive.folder_destination +"...";
+                    document.getElementById('main_title').innerHTML = get_lang("Archiving message on folder") + " " + fcaption +"...";
                     ArchiveServices.archive(expresso_mail_archive.getArchiveOperationOK, expresso_mail_archive.getArchiveOperationFailure, sessid, data ,expresso_mail_archive.folder_destination);
                 }
@@ -585,4 +594,5 @@
             }
             var n_demo = new dNode({id: localBaseName + expresso_mail_archive.folders[i]["id"], caption: folder_caption, onClick: "change_folder('"+ localBaseName + expresso_mail_archive.folders[i]["id"] +"','"+ localBaseName + expresso_mail_archive.folders[i]["id"]+"', '" + expresso_mail_archive.drawdata.treeName + "')", plusSign:expresso_mail_archive.folders[i]["haschild"]});
+            //var n_demo = new dNode({id: localBaseName + expresso_mail_archive.folders[i]["name"], caption: folder_caption, onClick: "change_folder('"+ localBaseName + expresso_mail_archive.folders[i]["name"] +"','"+ localBaseName + expresso_mail_archive.folders[i]["name"]+"', '" + expresso_mail_archive.drawdata.treeName + "')", plusSign:expresso_mail_archive.folders[i]["haschild"]});
             
             //Adjust the id node names
@@ -633,4 +643,5 @@
 //createFolder operation
 MailArchiver.prototype.createFolder = function(parentFolder, folderName){
+    
     try{
         ArchiveServices.createFolder(expresso_mail_archive.createFolderOperationOK, expresso_mail_archive.createFolderOperationFailure, sessid, parentFolder, folderName);
@@ -776,7 +787,16 @@
     var data_to_draw = expresso_mail_archive.drawdata.messagesList;  
     //window.alert('data to draw =  ' + data_to_draw.length + '\ndata_to_draw[0].from.full = ' + print_r(data_to_draw));
+    //window.alert('Current folder = ' + expresso_mail_archive.currentfolder + ' com ' + expresso_mail_archive.folders.length + ' folders.');
+    var fcaption = expresso_mail_archive.currentfolder;
     
+    for (var w=0; w < expresso_mail_archive.folders.length; w++){
+        if(expresso_mail_archive.folders[w]["id"] == expresso_mail_archive.currentfolder){
+            fcaption = expresso_mail_archive.folders[w]["name"];
+            break;
+        }
+    }
+
     alternate_border(0);
-    Element("border_id_0").innerHTML = "&nbsp;" + lang_folder(expresso_mail_archive.currentfolder) + '&nbsp;<font face="Verdana" size="1" color="#505050">[<span id="new_m">&nbsp;</span> / <span id="tot_m"></span>]</font>';
+    Element("border_id_0").innerHTML = "&nbsp;" + lang_folder(fcaption) + '&nbsp;<font face="Verdana" size="1" color="#505050">[<span id="new_m">&nbsp;</span> / <span id="tot_m"></span>]</font>';
     draw_box(data_to_draw, expresso_mail_archive.currentfolder, true);
     draw_paging(expresso_mail_archive.drawdata.messagesList.length);
@@ -800,6 +820,8 @@
         //one address
         if(typeof(Fromdata.mailbox.length) == 'undefined'){
-            var dataName = Fromdata.mailbox["@name"];
+            var dataName = Fromdata.mailbox["@name"];               
             var dataEmail = Fromdata.mailbox["@localPart"] + '@' + Fromdata.mailbox["@domain"];
+            if(dataName == 'null')
+                dataName = dataEmail;
         }
         //address list: to header(msgs list), only first metters
@@ -807,4 +829,6 @@
             var dataName = Fromdata.mailbox[0]["@name"];
             var dataEmail = Fromdata.mailbox[0]["@localPart"] + '@' + Fromdata.mailbox[0]["@domain"];
+            if(dataName == 'null')
+                dataName = dataEmail;
         }
 